﻿/***************************************************************************

Copyright (c) Microsoft Corporation. All rights reserved.
This code is licensed under the Visual Studio SDK license terms.
THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.

***************************************************************************/

using Babel.ParserGenerator;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace DaxEditorSample.Test
{
    [TestClass]
    public class LexerTests
    {
        [TestMethod]
        public void GetText_SingleLine()
        {
            Babel.Parser.ErrorHandler handler = new Babel.Parser.ErrorHandler();
            Babel.Lexer.Scanner scanner = new Babel.Lexer.Scanner();
            scanner.Handler = handler;

            scanner.SetSourceText("CREATE MEASURE t[B]=Random()");
            var text = scanner.GetText(new LexLocation(1, 20, 1, 28));
            Assert.IsFalse(handler.Errors, "Error happened");
            Assert.AreEqual("Random()", text);
        }

        [TestMethod]
        public void GetText_MultiLine()
        {
            Babel.Parser.ErrorHandler handler = new Babel.Parser.ErrorHandler();
            Babel.Lexer.Scanner scanner = new Babel.Lexer.Scanner();
            scanner.Handler = handler;

            scanner.SetSourceText(@"CREATE MEASURE t[B]=Random()
+ 1 +
2");
            var text = scanner.GetText(new LexLocation(1, 20, 3, 1));
            Assert.IsFalse(handler.Errors, "Error happened");
            Assert.AreEqual(@"Random()
+ 1 +
2", text);


        }

    }
}
