﻿/***************************************************************************

Copyright (c) Microsoft Corporation. All rights reserved.
This code is licensed under the Visual Studio SDK license terms.
THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.

***************************************************************************/

using System;
using System.Linq;
using Babel.Parser;

namespace Microsoft.DaxEditor
{
    public class DaxParsingException : Exception
    {
        public DaxParsingException() { }

        public DaxParsingException(string message) : base(message) { }

        public DaxParsingException(string message, Exception inner) : base(message, inner) { }

        static public DaxParsingException FromHandler(Babel.Parser.ErrorHandler handler)
        {
            var messages = string.Join("\r\n", handler.SortedErrorList().Select<Error, string>(i => i.ToString()));

            return new DaxParsingException(messages);
        }
    }

}
