﻿/***************************************************************************

Copyright (c) Microsoft Corporation. All rights reserved.

THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.

***************************************************************************/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Babel;

namespace Microsoft.DaxEditor.GeneratorSource
{
    public class DaxKeywords : List<DaxKeywordDescription>
    {
        public DaxKeywords()
        {
/* Begin generated code */
      this.Add(new DaxKeywordDescription() { Name = @"EVALUATE", Description = @"Evaluate literal"});
      this.Add(new DaxKeywordDescription() { Name = @"DEFINE", Description = @"Define literal"});
      this.Add(new DaxKeywordDescription() { Name = @"MEASURE", Description = @"Measure literal"});
      this.Add(new DaxKeywordDescription() { Name = @"ORDER", Description = @"Order literal"});
      this.Add(new DaxKeywordDescription() { Name = @"BY", Description = @"BY literal"});
      this.Add(new DaxKeywordDescription() { Name = @"TRUE", Description = @"True constant"});
      this.Add(new DaxKeywordDescription() { Name = @"FALSE", Description = @"False constant"});
      this.Add(new DaxKeywordDescription() { Name = @"ASC", Description = @"Ascending sort order"});
      this.Add(new DaxKeywordDescription() { Name = @"DESC", Description = @"Descending sort order"});
      this.Add(new DaxKeywordDescription() { Name = @"DAY", Description = @"Period equal to 1 day in time intelligence functions"});
      this.Add(new DaxKeywordDescription() { Name = @"MONTH", Description = @"Period equal to 1 month in time intelligence functions"});
      this.Add(new DaxKeywordDescription() { Name = @"YEAR", Description = @"Period equal to 1 year in time intelligence functions"});
      this.Add(new DaxKeywordDescription() { Name = @"CREATE", Description = @"CREATE literal"});
      this.Add(new DaxKeywordDescription() { Name = @"CALCULATE", Description = @"CALCULATE keyword"});
      this.Add(new DaxKeywordDescription() { Name = @"CALCULATION", Description = @"CALCULATION literal"});
      this.Add(new DaxKeywordDescription() { Name = @"PROPERTY", Description = @"PROPERTY literal"});
      this.Add(new DaxKeywordDescription() { Name = @"GENERAL", Description = @"General calculation property format type"});
      this.Add(new DaxKeywordDescription() { Name = @"NUMBERDECIMAL", Description = @"NumberDecimal calculation property format type"});
      this.Add(new DaxKeywordDescription() { Name = @"NUMBERWHOLE", Description = @"NumberWhole calculation property format type"});
      this.Add(new DaxKeywordDescription() { Name = @"PERCENTAGE", Description = @"Percentage calculation property format type"});
      this.Add(new DaxKeywordDescription() { Name = @"SCIENTIFIC", Description = @"Scientific calculation property format type"});
      this.Add(new DaxKeywordDescription() { Name = @"CURRENCY", Description = @"Currency calculation property format type"});
      this.Add(new DaxKeywordDescription() { Name = @"DATETIMECUSTOM", Description = @"DateTimeCustom calculation property format type"});
      this.Add(new DaxKeywordDescription() { Name = @"ACCURACY", Description = @"Accuracy literal"});
      this.Add(new DaxKeywordDescription() { Name = @"THOUSANDSEPARATOR", Description = @"ThousandSeparator literal"});
      this.Add(new DaxKeywordDescription() { Name = @"FORMAT", Description = @"Format literal"});
      this.Add(new DaxKeywordDescription() { Name = @"ADDITIONALINFO", Description = @"AdditionalInfo literal"});
/* End generated code */
        }

        public IEnumerable<Declaration> GetDeclarations()
        {
            foreach (var keyword in this)
            {
                yield return (new Declaration() { Description = keyword.Description, DisplayText = keyword.Name, Glyph = 36, Name = keyword.Name });
            }
        }
    }
}





















